alias +snipe " sizedown; fov 75 ; sizedown ; wait ; fov 60 ; crosshair 1 ; sizedown ; wait ; fov 45 ; sizedown ; wait ; fov 30 ; sizedown ; sensitivity 6 ; +mlook "
alias -snipe " crosshair 0 ; sizeup; fov 45 ; sizeup ; wait ; fov 60 ; sizeup ; wait ; fov 75 ; sizeup ; wait ; fov 90 ; sizeup ; sensitivity 12 ; -mlook "

Bind q +snipe 

alias rock1 "impulse 7 ; +attack ; wait; impulse 1 ; -attack"
alias rock2 "impulse 7 ; +attack ; wait; impulse 2 ; -attack"
alias rock3 "impulse 7 ; +attack ; wait; impulse 3 ; -attack"
alias rock4 "impulse 7 ; +attack ; wait; impulse 4 ; -attack"
alias rock5 "impulse 7 ; +attack ; wait; impulse 5 ; -attack"
alias rock6 "impulse 7 ; +attack ; wait; impulse 6 ; -attack"
alias rock7 "impulse 7 ; +attack ; wait; impulse 7 ; -attack"
alias rock8 "impulse 7 ; +attack ; wait; impulse 8 ; -attack"

alias at01 "impulse 1 ; bind * rock1"
alias at02 "impulse 2 ; bind * rock2"
alias at03 "impulse 3 ; bind * rock3"
alias at04 "impulse 4 ; bind * rock4"
alias at05 "impulse 5 ; bind * rock5"
alias at06 "impulse 6 ; bind * rock6"
alias at07 "impulse 7 ; bind * rock7"
alias at08 "impulse 8 ; bind * rock8"

bind 1 "at01"
bind 2 "at02"
bind 3 "at03"
bind 4 "at04"
bind 5 "at05"
bind 6 "at06"
bind 7 "at07"
bind 8 "at08"

alias +rightlook1 " cl_rollangle 45 ; scr_ofsy -25 ; cl_rollspeed 0 ;
cl_sidespeed 1 ; cl_movespeedkey 50.0 ;"

alias -leftlook1 "cl_rollspeed 350 ; scr_ofsy 0 ; cl_rollangle 5 ; 
cl_sidespeed 350 ; cl_movespeedkey 2.0 ; -moveleft ; -moveright ;"

alias +leftlook1 " cl_rollangle -45 ; scr_ofsy 25 ; cl_rollspeed 0 ; 
cl_sidespeed 1 ; cl_movespeedkey 50.0;"

alias -rightlook1 "cl_rollspeed 350 ; scr_ofsy 0 ; cl_rollangle 5 ;
cl_sidespeed 350 ; cl_movespeedkey 2.0 ; -moveleft ; -moveright ;"

bind s +leftlook1
bind f +rightlook1

alias +leftlook2 " scr_ofsy -25 ; cl_sidespeed 10 ; cl_movespeedkey 5.0 "
alias -leftlook2 " scr_ofsy 0 ; cl_sidespeed 350 ; cl_movespeedkey 2.0 ;"
alias +rightlook2 " scr_ofsy 25 ; cl_sidespeed 10 ; cl_movespeedkey 5.0 ;"
alias -rightlook2 " scr_ofsy 0 ; cl_sidespeed 350 ; cl_movespeedkey 2.0 ;"

bind x +leftlook2
bind v +rightlook2

map start

sv_maxvelocity 3000

